stations.dual_register_recipe('sewing', {
   input = {
      ['epic:burlap_tattered'] = 2,
      ['farming:string'] = 1
   },
   output = 'epic:burlap',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['furniture:fabric_white'] = 3,
      ['group:thread'] = 1
   },
   output = 'sailing_canoe:sail',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['furniture:fabric_white'] = 3,
      ['group:thread'] = 1,
      ['default:stick'] = 2,
      ['ropes:ropesegment'] = 1,
   },
   output = 'hangglider:hangglider',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['furniture:fabric_white'] = 1,
      ['group:thread'] = 1,
      ['hangglider:hangglider'] = 1,
   },
   output = 'hangglider:hangglider',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['furniture:fabric_red'] = 2,
      ['furniture:thread_red'] = 1,
      ['ropes:ropesegment'] = 1,
   },
   output = 'xdecor:curtain_red 2',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['furniture:fabric_red'] = 2,
      ['group:thread'] = 1,
      ['farming:cotton'] = 4,
   },
   output = 'xdecor:cushion',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['default:stick'] = 1,
      ['group:thread'] = 1,
      ['farming:string'] = 1,
   },
   output = 'furniture:brush',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['epic:burlap'] = 5,
      ['group:thread'] = 1,
      ['farming:string'] = 1,
   },
   output = 'unified_inventory:bag_small',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['group:fabric'] = 4,
      ['group:thread'] = 1,
      ['farming:string'] = 1,
   },
   output = 'unified_inventory:bag_small',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['group:fabric'] = 8,
      ['group:thread'] = 2,
      ['farming:string'] = 2,
   },
   output = 'unified_inventory:bag_medium',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['group:fabric'] = 12,
      ['group:thread'] = 4,
      ['farming:string'] = 4,
   },
   output = 'unified_inventory:bag_large',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['group:fabric'] = 2,
      ['group:thread'] = 4,
      ['mobs:leather'] = 7,
      ['ropes:ropesegment'] = 1,
      ['scorpion:shell'] = 2,
   },
   output = 'scorpion:saddle',
})

stations.dual_register_recipe('sewing', {
   input = {
      ['group:fabric'] = 1,
      ['group:thread'] = 1,
   },
   output = 'armor:gloves',
})

--THINGS COLORED BY DYE

local colors = {
   'grey', 'dark_grey', 'black', 'violet', 'blue', 'cyan', 'dark_green', 'green',
   'yellow', 'brown', 'orange', 'red', 'magenta', 'pink', 'white'
}

for i = 1,15 do

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 1,
      [('furniture:thread_'..colors[i])] = 1,
      ['farming:cotton'] = 1,
   },
   output = 'furniture:cushion_'..colors[i],
})

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 1,
      [('furniture:thread_'..colors[i])] = 1,
      ['farming:cotton'] = 2,
   },
   output = 'furniture:cushion_half_'..colors[i],
})

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 2,
      [('furniture:thread_'..colors[i])] = 2,
      ['farming:cotton'] = 4,
   },
   output = 'furniture:cushion_full_'..colors[i],
})

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 2,
      [('furniture:thread_'..colors[i])] = 2,
      ['group:wool'] = 4,
   },
   output = 'furniture:cushion_full_'..colors[i],
})

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 1,
      [('furniture:thread_'..colors[i])] = 1,
      ['ropes:ropesegment'] = 1,
   },
   output = 'furniture:curtain_ss_'..colors[i]..'_1',
})

stations.dual_register_recipe('sewing', {
   input = {
      [('furniture:fabric_'..colors[i])] = 2,
      [('furniture:thread_'..colors[i])] = 1,
      ['ropes:ropesegment'] = 1,
   },
   output = 'furniture:curtain_ts_'..colors[i]..'_1',
})

end
